> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inklink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook endpoint

> Soft-deletes the endpoint and disables delivery. Requires **organization owner** or **admin**. See [Webhooks](/webhooks).



## OpenAPI

````yaml /api-reference/openapi.json DELETE /webhook/endpoints/{id}
openapi: 3.0.3
info:
  title: API 2.0
  version: 1.0.0
  contact: {}
servers:
  - url: https://platform.inklink.com/api/v1
security: []
tags: []
paths:
  /webhook/endpoints/{id}:
    delete:
      summary: Delete webhook endpoint
      description: >-
        Soft-deletes the endpoint and disables delivery. Requires **organization
        owner** or **admin**. See [Webhooks](/webhooks).
      operationId: deleteWebhookEndpoint
      parameters:
        - name: api-key
          in: header
          schema:
            type: string
            example: secret_live_xxx
          required: true
        - name: id
          in: path
          required: true
          description: Webhook endpoint id (`wh_end_…`).
          schema:
            type: string
            example: wh_end_xxx
      responses:
        '200':
          description: Endpoint deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhookEndpointDeleteResponse'
        '401':
          description: Not authenticated (`UNAUTHORIZED`).
        '500':
          description: Server error or permission denied (`INTERNAL_ERROR`).
components:
  schemas:
    webhookEndpointDeleteResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          example: true

````